Bug 466791 - No hvm console logging available by Xen
No hvm console logging available by Xen
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 12:36 EDT by Gurhan Ozen
Modified: 2009-12-14 16:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 04:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2008-10-13 12:36:21 EDT
Description of problem:
This has never worked before, and still not working. 

When XENCONSOLED_LOG_GUESTS in /etc/sysconfig/xend is set to yes and rebooted , the paravirt guests are being logged, however there are no console logs available for hvm guests. 

I asked for blocker for this bug, though technically it's not blocking anything. However this is hurting our automated testing efforts as we can't provide useful data for hvm crashes/issues.

Version-Release number of selected component (if applicable):
# rpm -qa | grep xen 
xen-libs-3.0.3-73.el5
kernel-xen-2.6.18-117.el5
xen-3.0.3-73.el5
kernel-xen-devel-2.6.18-117.el5


How reproducible:
Very.

Steps to Reproduce:
1. Try to get hvm console logging.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Daniel Berrange 2008-10-14 04:58:56 EDT
Paravirtualized guests have two consoles

  - A paravirt text console
  - A graphical framebuffer console

Fullyvirtualized guests have one console

  - A graphical framebuffer console

So you're asking for something which simply does not exist in fullyvirt guests

You could configure a serial port in the HVM guest, but this is completely separate from anything todo with paravirt text consoles, so not controlled by the XENCONSOLED_LOG_GUESTS parameter.

Latest upstream libvirt allows redirecting of a guest serial port to a file, but that's not supported in RHEL-5 libvirt, and would be very significant development effort, certainly not viable for RHEL-5.3. If you wish to have the ability to configure serial ports for HVM guests, please open a feature request against libvirt.
Comment 3 Gurhan Ozen 2008-10-14 07:46:28 EDT
Thanks Dan, this was the information i was looking for. I have opened a feature request , BZ#466891 for this.

Note You need to log in before you can comment on or make changes to this bug.